#! /bin/sh

. "`dirname \"$0\"`"/../set-path
umask 022

[ "$1" ] && cd "$1" || exit 1 # or just do it in current directory
start_dir="`pwd`"

find . -type d -print |
while read dir; do
   cd "$dir" || exit 1
   rm -f PlayList.m3u
   mk_list.py
   [ -f PlayList.m3u ] && pwd
   cd "$start_dir" || exit 1
done
