#! /bin/sh

if [ "$1" = "" ]; then
   echo "Usage: $0 playlist"
   exit 1
fi

. "`dirname \"$0\"`"/../../set-path
umask 022

playlist="$1"
shift

i=1
while read line; do
   filename="`printf 'track_%02d.ogg' $i`"
   tag.py -t "$line" -n $i "$@" "$filename" || exit 1
   newid="`printf '%02d' $i`"
   mv "$filename" "$newid-$line".ogg || exit 1
   i="`expr $i + 1`"
done < "$playlist"
